<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website"; 
$result = $conn->query($sql); 
if ($result->num_rows > 0) { 	
while ($row = $result->fetch_assoc()) {
require_once '../../sys/lang/' . $row['lang'] . '.php';  }}

require_once '../themes/theme.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title><?= _PASSWORDGENERATOR ?></title>
<link rel="stylesheet" href="generator-style.css">
</head>
<body style="background:<?= $wrapper ?>; width:100%; overflow:scroll;">

<br><br>
<div class="card" style="height:600px; overflow-y:scroll; width:300px;">

<div class="length range__slider" data-min="5" data-max="20" style="color:<?= $gen_text_color ?>">
<div class="length__title field-title" data-length='0' style="color:<?= $gen_text_color ?>">length:</div>
<input id="slider" style="color:<?= $gen_text_color ?>" type="range" min="5" max="20" value="16" />
</div>

<div class="settings" style="color:<?= $gen_text_color ?>">
<span class="settings__title field-title" style="color:<?= $gen_text_color ?>"><?= _SETTINGS ?></span>
<div class="setting" style="color:<?= $gen_text_color ?>">
<input type="checkbox" id="uppercase" style="color:<?= $gen_text_color ?>" checked />
<label for="uppercase" style="color:<?= $gen_text_color ?>"><?= _INCLUDEUPPERCASE ?></label>
</div>
<div class="setting" style="color:<?= $gen_text_color ?>">
<input type="checkbox" id="lowercase" checked />
<label for="lowercase" style="color:<?= $gen_text_color ?>"><?= _INCLUDELOWERCASE ?></label>
</div>
<div class="setting">
<input type="checkbox" id="number" checked />
<label for="number" style="color:<?= $gen_text_color ?>"><?= _INCLUDENUMBERS ?></label>
</div>
<div class="setting">
<input type="checkbox" id="symbol" />
<label for="symbol" style="color:<?= $gen_text_color ?>"><?= _INCLUDESYMBOLS ?></label>
</div>
</div>
<div class="result">
<div class="result__title field-title" style="color:<?= $gen_text_color ?>"><?= _GENERATEDPASSWORD ?></div>
<div class="result__info right" style="color:<?= $gen_text_color ?>"><?= _CLICKTOCOPY ?></div>
<div class="result__info left" style="color:<?= $gen_text_color ?>"><?= _COPIED ?></div>
<div class="result__viewbox" id="result" style="color:<?= $gen_text_color ?>"></div>
<button id="copy-btn" style="--x: 0; --y: 0; color:<?= $gen_text_color ?>;"><i class="far fa-copy"></i></button>
</div>

<button class="btn generate" id="generate" style="color:<?= $gen_text_color ?>"><?= _GENERATEPASSWORD ?></button>
<input class="btn generate" type="button" value="Close this window" onclick="self.close()">
</div>
<script src="script.js"></script>

</body>
</html>