<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang'];
$subdomain = $row['subdomain'];
$Subdomain_name = $row['Subdomain_name']; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Select Language</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<div class="wrapper">

<br>
<h3 class="center">Choose Your Language and Domain</h3>

<form action="langhelper.php" method="post" class="noborder">

<div class="column spacer" style="height:500px">
<br><br>
<section>
<p class="center"><strong>Language? </strong>
<select name="lang">
<option><?= $lang ?></option>

<?php if ($handle = opendir('../lang')) {
while (false !== ($file = readdir($handle))) {
if ($file != "." && $file != "..") {
$info = pathinfo($file);
$file_name =  basename($file, '.' . $info['extension']);
echo "<option value='" . $file_name . "'>" . $file_name . "</option>"; }}}

closedir($handle); ?>
</select>
</section>

<section>
<p class="left"><strong>Is This a Subdomain?</strong>
<select name="subdomain">
<option><?= $subdomain ?></option>
<option value="No">No</option>
<option value="Yes">Yes</option>
</select>
</p>
<p class="left"><strong>Subdomain Name:</strong>
<input style="background:#f1f1f1;color:#000;width:330px;" type="text" name="Subdomain_name" maxlength="25" size="25" value="<?= htmlentities($Subdomain_name, ENT_QUOTES) ?>">
</p>
</section>

<section class="center button">
<input class="pointer" type="Submit" value="Save" name="Submit">
</section>
<br><br>

</form>
</div>
