<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once '../lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Login Setup</title>
<link rel="stylesheet" href="style.css" />
<link rel="stylesheet" href="../css/fontawesome/css/font-awesome.min.css">
<script src="../js/fontawesome.js" crossorigin="anonymous"></script>
<script src="../../sys/js/jquery.min.js"></script>
</head>
<body>

<div class="wrapper">

<section>
<h1 class="center"><?= _LOGININSTALL ?></h1>
</section>

<br>

<section>
<div class="center">
<h3 class="full center"><?= _ADMINCREDENTIALS ?></h3>
<i class="center fas fa-male"></i> <i class="center fas fa-female"></i>

<form action="register.php" method="post" autocomplete="off">
<br>
<div class="center"><input type="text" name="username" class="responsive-container" placeholder="<?= _USERNAME ?>" id="username" required></div>

<br>

<div class="center">
<a href="generator.php" target="_blank"><?= _USEPASSWORDGEN ?></a>
</div>

<br>


<div class="center">
<input type="password" name="password" class="responsive-container" placeholder="<?= _PASSWORD ?>" id="password" required>
<input type="checkbox" />Show password
</div>

<br>
<br>

<div class="center"><input type="email" name="email" class="responsive-container" placeholder="<?= _EMAIL ?>" id="email" required></div>

<br>

<input type="hidden" name="role" class="responsive-container" value="Admin" id="role" required>
<input type="hidden" name="activation_code" class="responsive-container" value="activated" id="activation_code" required>
</section>

<section class="button">
<div class="center"><input type="submit" value="<?= _SUBMIT ?>"></div>
</section>
</form>

</div>
</div>

<script>
$(document).ready(function() {
$(':checkbox').change(function() {
if ($(this).is(':checked')) {
$(this).prev('input').attr('type', 'text');
} else {
$(this).prev('input').attr('type', 'password');
}
});
});
</script>