<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once '../lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Registration</title>
<link rel="stylesheet" href="style.css" />
</head>

<form action="reghelper.php" method="post" class="noborder">

<br>

<div class="wrapper">
    
<h1 class="center"><?= _REGSETUP ?></h1>

<p style="text-align:justify"><?= _STEPIMPORTANT ?></p>

<div class="radius spacer center">
<p class="center">
<p class="center"><?= _ACTIVEMBRREG ?></p>
<select name="allow_registration">
<option value="No"><?= _NO ?></option>
<option value="Yes"><?= _YES ?></option>
</select>

<br>
<br>

<p class="center"><?= _USESIDEBARBLOCK ?></p>
<select name="registration_block">
<option value="Top"><?= _TOP ?></option>
<option value="No"><?= _NO ?></option>
</select>

<br>
<br>

<label for="email">
<i class="fas fa-envelope"></i> <?= _EMAIL ?>:
</label>
<br>
<input type="email" name="emailaddress" class="responsive-container" placeholder="<?= _EMAIL ?>" id="email" required>
<br>
<label for="url">
<i class="fas fa-envelope"></i> <?= _WEBSITEURL ?>:
</label>
<br>
<input type="text" name="website_url" class="responsive-container" placeholder="https://www.yourwebsite.com" id="" required>
<br>
</div>
<br>
<section class="center button">
<input class="pointer" type="Submit" value="<?= _SAVE ?>" name="Submit">
</section>
</form>
</div>
</div>
